Loading...
Searching...
No Matches
BALL::JCAMPFile::JCAMPValue Class Reference

`#include <BALL/FORMAT/JCAMPFile.h>`

## Public Member Functions

| JCAMPValue ()
bool | operator== (const JCAMPValue &value) const
bool | operator!= (const JCAMPValue &value) const

## Public Attributes

String | string_value
std::vector< double > | numeric_value
ContentType | type

## Detailed Description

Definition at line 48 of file JCAMPFile.h.

## Constructor & Destructor Documentation

## JCAMPValue()

BALL::JCAMPFile::JCAMPValue::JCAMPValue | ( |  | ) |

inline

Definition at line 58 of file JCAMPFile.h.

## Member Function Documentation

## operator!=()

bool BALL::JCAMPFile::JCAMPValue::operator!= | ( | const JCAMPValue & | value | ) | const

## operator==()

bool BALL::JCAMPFile::JCAMPValue::operator== | ( | const JCAMPValue & | value | ) | const

## Member Data Documentation

## numeric_value

std::vector<double> BALL::JCAMPFile::JCAMPValue::numeric_value

Definition at line 54 of file JCAMPFile.h.

## string_value

String BALL::JCAMPFile::JCAMPValue::string_value

Definition at line 52 of file JCAMPFile.h.

## type

ContentType BALL::JCAMPFile::JCAMPValue::type

Definition at line 56 of file JCAMPFile.h.